import React, { useState, useEffect } from 'react';
import OrderIndexItem from './OrderIndexItem';
import { connect } from "react-redux";
// import { createOrder, fetchOrders, editOrder } from '../../actions/order_actions';

const OrderIndex = ({
  orders,
}) => {
  return (
    <div>
      <h1>Order Index</h1>

      <br />
      <br />

      {orders.allIds.map((orderId) => {
        const order = orders.byId[orderId];
        return <OrderIndexItem key={order.id} order={order} />;
      })}
    </div>
  );

}

const mapStateToProps = (state, ownProps) => {
  debugger;
  return {
    orders: ownProps.orders,
  }
}

const mapDispatchToProps = dispatch => ({

})

export default connect(mapStateToProps, mapDispatchToProps)(OrderIndex)
